#### D.2.9.1 setglobalrings

Procedure from library `redcgs.lib` (see redcgs_lib).

Usage:
  setglobalrings();
  No arguments

Return:
  After its call the rings @R=K[a][x], @P=K[a], @RP=K[x,a] are defined as global variables.

Note:
  It is called by the fundamental routines of the library. The user does not need to call it, except when none of
  the fundamental routines have been called and some
  other routines of the library are used.
  The basering R, must be of the form K[a][x], a=parameters, x=variables, and should be defined previously.

Example:

    LIB "redcgs.lib";
    ring R=(0,a,b),(x,y,z),dp;
    setglobalrings();
    @R;
    ==> // coefficients: QQ(a, b) considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C
    @P;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 2
    ==> //        block   1 : ordering lp
    ==> //                  : names    a b
    ==> //        block   2 : ordering C
    @RP;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 5
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering lp
    ==> //                  : names    a b
    ==> //        block   3 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.